|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
ADC_INTERFACE Struct Reference
MPLABX MCC Melody Code Generator » ADC Multicore Driver

Structure containing the function pointers of ADC driver. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/mcc_generated_files/adc/adc_interface.h>`

Collaboration diagram for ADC_INTERFACE:

## Data Fields
void(* | Initialize )(void)
| Pointer to ADCx_Initialize e.g. ADC1_Initialize.
void(* | Deinitialize )(void)
| Pointer to ADCx_Deinitialize e.g. ADC1_Deinitialize.
void(* | Enable )(void)
| Pointer to ADCx_Enable e.g. ADC1_Enable.
void(* | Disable )(void)
| Pointer to ADCx_Disable e.g. ADC1_Disable.
void(* | SoftwareTriggerEnable )(void)
| Pointer to ADCx_SoftwareTriggerEnable e.g. ADC1_SoftwareTriggerEnable.
void(* | SoftwareTriggerDisable )(void)
| Pointer to ADCx_SoftwareTriggerDisable e.g. ADC1_SoftwareTriggerDisable.
void(* | ChannelSelect )(enum ADC_CHANNEL channel)
| Pointer to ADCx_ChannelSelect e.g. ADC1_ChannelSelect.
uint16_t(* | ConversionResultGet )(enum ADC_CHANNEL channel)
| Pointer to ADCx_ConversionResultGet e.g. ADC1_ConversionResultGet.
bool(* | IsConversionComplete )(enum ADC_CHANNEL channel)
| Pointer to ADCx_IsConversionComplete e.g. ADC1_IsConversionComplete.
void(* | ResolutionSet )(enum ADC_RESOLUTION_TYPE resolution)
| Pointer to ADCx_ResolutionSet e.g. ADC1_ResolutionSet.
void(* | InterruptEnable )(void)
| Pointer to ADCx_InterruptEnable e.g. ADC1_InterruptEnable.
void(* | InterruptDisable )(void)
| Pointer to ADCx_InterruptDisable e.g. ADC1_InterruptDisable.
void(* | InterruptFlagClear )(void)
| Pointer to ADCx_InterruptFlagClear e.g. ADC1_InterruptFlagClear.
void(* | InterruptPrioritySet )(uint16_t priorityValue)
| Pointer to ADCx_InterruptPrioritySet e.g. ADC1_InterruptPrioritySet.
void(* | CommonCallbackRegister )(void(*callback)(void))
| Pointer to ADCx_CommonCallbackRegister e.g. ADC1_CommonCallbackRegister.
void(* | Tasks )(void)
| Pointer to ADCx_Tasks e.g. ADC1_Tasks (Supported only in polling mode)
const struct ADC_MULTICORE * | adcMulticoreInterface
| Pointer to ADC_MULTICORE.

## Detailed Description

Definition at line 61 of file adc_interface.h.

## Field Documentation

## ◆ adcMulticoreInterface

const struct ADC_MULTICORE* adcMulticoreInterface

Definition at line 111 of file adc_interface.h.

## ◆ ChannelSelect

void(* ChannelSelect) (enum ADC_CHANNEL channel)

Definition at line 81 of file adc_interface.h.

## ◆ CommonCallbackRegister

void(* CommonCallbackRegister) (void(*callback)(void))

Definition at line 105 of file adc_interface.h.

## ◆ ConversionResultGet

uint16_t(* ConversionResultGet) (enum ADC_CHANNEL channel)

Definition at line 84 of file adc_interface.h.

## ◆ Deinitialize

void(* Deinitialize) (void)

Definition at line 66 of file adc_interface.h.

## ◆ Disable

void(* Disable) (void)

Definition at line 72 of file adc_interface.h.

## ◆ Enable

void(* Enable) (void)

Definition at line 69 of file adc_interface.h.

## ◆ Initialize

void(* Initialize) (void)

Definition at line 63 of file adc_interface.h.

## ◆ InterruptDisable

void(* InterruptDisable) (void)

Definition at line 96 of file adc_interface.h.

## ◆ InterruptEnable

void(* InterruptEnable) (void)

Definition at line 93 of file adc_interface.h.

## ◆ InterruptFlagClear

void(* InterruptFlagClear) (void)

Definition at line 99 of file adc_interface.h.

## ◆ InterruptPrioritySet

void(* InterruptPrioritySet) (uint16_t priorityValue)

Definition at line 102 of file adc_interface.h.

## ◆ IsConversionComplete

bool(* IsConversionComplete) (enum ADC_CHANNEL channel)

Definition at line 87 of file adc_interface.h.

## ◆ ResolutionSet

void(* ResolutionSet) (enum ADC_RESOLUTION_TYPE resolution)

Definition at line 90 of file adc_interface.h.

## ◆ SoftwareTriggerDisable

void(* SoftwareTriggerDisable) (void)

Definition at line 78 of file adc_interface.h.

## ◆ SoftwareTriggerEnable

void(* SoftwareTriggerEnable) (void)

Definition at line 75 of file adc_interface.h.

## ◆ Tasks

void(* Tasks) (void)

Definition at line 108 of file adc_interface.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/mcc_generated_files/adc/adc_interface.h